Table of Contents

Class UnmanagedAttributesRequestBuilder

Namespace
Keycloak.AuthServices.Sdk.Kiota.Admin.Admin.Realms.Item.Users.Item.UnmanagedAttributes
Assembly
Keycloak.AuthServices.Sdk.Kiota.dll

Builds and executes requests for operations under \admin\realms{realm}\users{user-id}\unmanagedAttributes

public class UnmanagedAttributesRequestBuilder : BaseRequestBuilder
Inheritance
BaseRequestBuilder
UnmanagedAttributesRequestBuilder
Inherited Members
BaseRequestBuilder.PathParameters
BaseRequestBuilder.RequestAdapter
BaseRequestBuilder.UrlTemplate

Constructors

UnmanagedAttributesRequestBuilder(Dictionary<string, object>, IRequestAdapter)

Instantiates a new UnmanagedAttributesRequestBuilder and sets the default values.

public UnmanagedAttributesRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)

Parameters

pathParameters Dictionary<string, object>

Path parameters for the request

requestAdapter IRequestAdapter

The request adapter to use to execute the requests.

UnmanagedAttributesRequestBuilder(string, IRequestAdapter)

Instantiates a new UnmanagedAttributesRequestBuilder and sets the default values.

public UnmanagedAttributesRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)

Parameters

rawUrl string

The raw URL to use for the request builder.

requestAdapter IRequestAdapter

The request adapter to use to execute the requests.

Methods

GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)

public Task<UnmanagedAttributesGetResponse?> GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)

Parameters

requestConfiguration Action<RequestConfiguration<DefaultQueryParameters>>

Configuration for the request such as headers, query parameters, and middleware options.

cancellationToken CancellationToken

Cancellation token to use when cancelling requests

Returns

Task<UnmanagedAttributesGetResponse>

A UnmanagedAttributesGetResponse

ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>?)

public RequestInformation ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)

Parameters

requestConfiguration Action<RequestConfiguration<DefaultQueryParameters>>

Configuration for the request such as headers, query parameters, and middleware options.

Returns

RequestInformation

A Microsoft.Kiota.Abstractions.RequestInformation

WithUrl(string)

Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.

public UnmanagedAttributesRequestBuilder WithUrl(string rawUrl)

Parameters

rawUrl string

The raw URL to use for the request builder.

Returns

UnmanagedAttributesRequestBuilder

A UnmanagedAttributesRequestBuilder